#ifndef WAFFLE_H
#define WAFFLE_H

#include <QWidget>

class Waffle : public QWidget
{
public:
    Waffle(int flag, QWidget *parent = nullptr);

protected:
    void paintEvent(QPaintEvent *event) override;

private:
    void drawWaffle(QPainter &painter, int startX, int startY, int rows, int cols, int gridSize, int gap);

    // 华夫台的参数
    int gridSize;  // 每个格子的大小
    int gap;        // 格子之间的间隙
    int rows = 3;       // 华夫台的行数
    int cols = 3;       // 华夫台的列数

    // 华夫盒的参数
    int boxRows = 3;    // 华夫盒的行数
    int boxCols = 4;    // 华夫盒的列数
    int boxGap;    // 华夫台之间的间隙
};

#endif // WAFFLE_H
