QT       += core gui sql charts
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

#LIBS += -L"D:\qt\Interface_1.1" -lInterface
# LIBS += -L"C:\Users\David\Desktop\Interface_1.1" -lInterface

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    CameraMaterialGroupWnd/CameraImage/CameraImageHandler.cpp \
    CameraMaterialGroupWnd/Group.cpp \
    CameraMaterialGroupWnd/MaterialWindow/DieItem.cpp \
    CameraMaterialGroupWnd/MaterialWindow/MaterialBox.cpp \
    CameraMaterialGroupWnd/MaterialWindow/Wafer.cpp \
    CameraMaterialGroupWnd/MaterialWindow/WaferGraphicsView.cpp \
    CameraMaterialGroupWnd/MaterialWindow/Waffle.cpp \
    ImageWidget.cpp \
    ImageWidget_nodrag.cpp \
    Login.cpp \
    OriginalWnd/CameraDataHandleAndShow.cpp \
    OriginalWnd/ChartsAndCamerasWnd.cpp \
    OriginalWnd/DbTreeViewManager.cpp \
    OriginalWnd/MainAndSecondaryCamerasWnd.cpp \
    OriginalWnd/OriginalWnd.cpp \
    OriginalWnd/SingleCameraOperationWnd.cpp \
    OriginalWnd/chartline.cpp \
    gen_interface.cpp \
    main.cpp \
    MainWnd.cpp \

HEADERS += \
    CInterface.h \
    CameraMaterialGroupWnd/CameraImage/CameraImageHandler.h \
    CameraMaterialGroupWnd/Group.h \
    CameraMaterialGroupWnd/MaterialWindow/DieItem.h \
    CameraMaterialGroupWnd/MaterialWindow/MaterialBox.h \
    CameraMaterialGroupWnd/MaterialWindow/Wafer.h \
    CameraMaterialGroupWnd/MaterialWindow/WaferGraphicsView.h \
    CameraMaterialGroupWnd/MaterialWindow/Waffle.h \
    ImageWidget.h \
    ImageWidget_nodrag.h \
    Login.h \
    MainWnd.h \
    OriginalWnd/CameraDataHandleAndShow.h \
    OriginalWnd/ChartsAndCamerasWnd.h \
    OriginalWnd/DbTreeViewManager.h \
    OriginalWnd/MainAndSecondaryCamerasWnd.h \
    OriginalWnd/NonInteractiveCheckDelegate.h \
    OriginalWnd/OriginalWnd.h \
    OriginalWnd/SingleCameraOperationWnd.h \
    OriginalWnd/chartline.h \
    gen_interface.h

FORMS += \
    CameraMaterialGroupWnd/Group.ui \
    ImageWidget.ui \
    ImageWidget_nodrag.ui \
    Login.ui \
    MainWnd.ui \
    OriginalWnd/ChartsAndCamerasWnd.ui \
    OriginalWnd/MainAndSecondaryCamerasWnd.ui \
    OriginalWnd/OriginalWnd.ui \
    OriginalWnd/SingleCameraOperationWnd.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
    configurations.db \
    dark.qss

RESOURCES += \
    res.qrc

QMAKE_PROJECT_DEPTH = 0
